import { Schedule } from './api-types';
import { ComputeScheduleParameters } from './worker-interface';
/**
 * Runs (in a separate thread) the list scheduling algorithm on the given problem instance and returns the result
 * asynchronously.
 *
 * See [the project page](https://github.com/fschopp/project-planning-js) for more information on the algorithm.
 *
 * @param args argument list that will be passed on to {@link computeSchedule}() unaltered
 * @return promise that will be resolved with the solution or rejected with a {@link SchedulingFailure} containing a
 *     human-readable failure description if the problem instance is invalid (for example, has a cyclic dependency
 *     graph)
 */
export declare function computeScheduleAsync(...args: ComputeScheduleParameters): Promise<Schedule>;
//# sourceMappingURL=scheduling-async.d.ts.map