/**
 * Algorithm for project planning. More precisely, *list scheduling* with support for machines running at different
 * speeds, optional preemption, optional splitting of jobs across machines, release dates, and delivery times.
 *
 * See README file for details.
 */
import { Schedule, SchedulingFailure, SchedulingInstance } from './api-types';
/**
 * Runs the list scheduling algorithm on the given problem instance and returns the result.
 *
 * See [the project page](https://github.com/fschopp/project-planning-js) for more information on the algorithm.
 *
 * @param instance the problem instance
 * @return solution or a human-readable failure description if the problem instance is invalid (for example, has a
 *     cyclic dependency graph)
 */
export declare function computeSchedule(instance: SchedulingInstance): Schedule | SchedulingFailure;
//# sourceMappingURL=scheduling.d.ts.map